Bug 16697 - Translatability: Fix problem with isolated "'s"in request.tt
Summary: Translatability: Fix problem with isolated "'s"in request.tt
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-09 13:05 UTC by Marc Véron
Modified: 2017-12-07 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16697: Translatability: Fix problem with isolated "'s"in request.tt (3.14 KB, patch)
2016-06-09 13:46 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16697: Translatability: Fix problem with isolated "'s"in request.tt (3.22 KB, patch)
2016-06-15 10:29 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 16697: Translatability: Fix problem with isolated "'s"in request.tt (3.29 KB, patch)
2016-06-19 11:16 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-06-09 13:05:51 UTC
In koha-tmpl/intranet-tmpl/prog/en/modules/reserve/request.tt, an isolated genitiv-'s leads to translation issues. 
Line 296 should be re-worded:
    <li><a href="/cgi-bin/koha/members/moremember.pl?borrowernumber=[% borrowernumber %]">[% borrowerfirstname %] [% borrowersurname %]</a>'s <strong>account has expired</strong></li>
Comment 1 Marc Véron 2016-06-09 13:46:01 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2016-06-15 10:29:52 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-06-19 11:16:33 UTC
Created attachment 52534 [details] [review]
[PASSED QA] Bug 16697: Translatability: Fix problem with isolated "'s"in request.tt

This patch fixes translation problems with tag-isolated 's in
koha-tmpl/intranet-tmpl/prog/en/modules/reserve/request.tt

The patch fixes it at two places. In consequence, some other texts
ares sigthly changed to make them look similar.

To test:
- Inspect code changes and verify that the new wording makes sense.

Signed-off-by: Frédéric Demians <f.demians@tamil.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-06-24 13:10:33 UTC
Pushed to master for 16.11, thanks Marc!
Comment 5 Frédéric Demians 2016-08-01 11:53:22 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 6 Julian Maurice 2016-08-16 13:12:31 UTC
Patch pushed to 3.22.x, will be in 3.22.10